package	jp.co.sds_corp.util.jmx.rmi.client;

import java.util.Hashtable;
import java.util.Iterator;

import jp.co.sds_corp.util.jmx.IMBeanService;
import jp.co.sds_corp.util.jmx.rmi.JMXConnector;

public interface ConnectorFactoryServiceMBean extends IMBeanService
{
	public static final String OBJECT_NAME = "Factory:name=JMX";

	public Iterator getConnectors( Hashtable pProperties, ConnectorFactoryImpl.IConnectorTester pTester );

	public JMXConnector createConnection( ConnectorFactoryImpl.ConnectorName pConnector );

	public void removeConnection( ConnectorFactoryImpl.ConnectorName pConnector );
}
